API referansı İngilizce yayımlanır.
Create a tool trust rule from an action request
POST
/api/companies/{companyId}/tools/action-requests/{actionRequestId}/trust-rulePersonal API keyConsole session
Create a tool trust rule from an action request.
Yetkilendirme
Send a personal API key as Authorization: Bearer <key>. It acts as you, with your permissions in each organization. Agent API keys are refused with 403. Anahtarlar nasıl çalışır.
Yol parametreleri
companyIdstringZorunluThe organization's id.
actionRequestIdstringZorunluThe actionrequest's id.
İstek gövdesi
application/json · zorunlu
argumentModestringİsteğe bağlı
one of: "exact", "action"namestringİsteğe bağlı
1–160 charactersdescriptionstring | nullİsteğe bağlı
at most 4000 characterspriorityintegerİsteğe bağlı
≥ 0≤ 10000approvalThresholdintegerİsteğe bağlı
≥ 1≤ 50selectorsobjectİsteğe bağlı
selectors.actorTypestringİsteğe bağlı
one of: "agent", "user", "system", "plugin"selectors.agentIdstring (uuid)İsteğe bağlı
selectors.agentIdsarray<string (uuid)>İsteğe bağlı
selectors.projectIdstring (uuid)İsteğe bağlı
selectors.projectIdsarray<string (uuid)>İsteğe bağlı
selectors.routineIdstring (uuid)İsteğe bağlı
selectors.routineIdsarray<string (uuid)>İsteğe bağlı
selectors.issueIdstring (uuid)İsteğe bağlı
selectors.issueIdsarray<string (uuid)>İsteğe bağlı
selectors.gatewayIdstring (uuid)İsteğe bağlı
selectors.gatewayIdsarray<string (uuid)>İsteğe bağlı
selectors.gatewayPublicIdstringİsteğe bağlı
1–120 characterspattern: ^[a-z0-9][a-z0-9._:-]*$selectors.gatewayPublicIdsarray<string>İsteğe bağlı
each at most 120 charactersselectors.gatewayTokenIdstring (uuid)İsteğe bağlı
selectors.gatewayTokenIdsarray<string (uuid)>İsteğe bağlı
selectors.clientSubjectTypestringİsteğe bağlı
one of: "gateway_client", "heartbeat_run", "board_user", "agent"selectors.clientSubjectTypesarray<string>İsteğe bağlı
items one of: "gateway_client", "heartbeat_run", "board_user", "agent"selectors.clientNamestringİsteğe bağlı
1–160 charactersselectors.clientNamesarray<string>İsteğe bağlı
each at most 160 charactersselectors.externalClientbooleanİsteğe bağlı
selectors.applicationIdstring (uuid)İsteğe bağlı
selectors.applicationIdsarray<string (uuid)>İsteğe bağlı
selectors.connectionIdstring (uuid)İsteğe bağlı
selectors.connectionIdsarray<string (uuid)>İsteğe bağlı
selectors.catalogEntryIdstring (uuid)İsteğe bağlı
selectors.catalogEntryIdsarray<string (uuid)>İsteğe bağlı
selectors.toolNamestringİsteğe bağlı
1–240 charactersselectors.toolNamesarray<string>İsteğe bağlı
each at most 240 charactersselectors.riskLevelstringİsteğe bağlı
one of: "low", "medium", "high", "critical", "read", "write", "destructive"selectors.riskLevelsarray<string>İsteğe bağlı
items one of: "low", "medium", "high", "critical", "read", "write", "destructive"scopeobjectİsteğe bağlı
scope.includeAgentbooleanİsteğe bağlı
scope.includeProjectbooleanİsteğe bağlı
scope.includeIssuebooleanİsteğe bağlı
scope.includeApplicationbooleanİsteğe bağlı
scope.includeConnectionbooleanİsteğe bağlı
scope.includeCatalogEntrybooleanİsteğe bağlı
scope.includeToolbooleanİsteğe bağlı
argumentFiltersobjectİsteğe bağlı
argumentFilters.allowAnybooleanİsteğe bağlı
argumentFilters.exactHashstring | nullİsteğe bağlı
pattern: ^[a-f0-9]{64}$argumentFilters.allowedHashesarray<string>İsteğe bağlı
argumentFilters.fieldEqualsobjectİsteğe bağlı
argumentFilters.fieldNotEqualsobjectİsteğe bağlı
argumentFilters.fieldInobject<string, array<any>>İsteğe bağlı
argumentFilters.fieldMatchesobject<string, string>İsteğe bağlı
argumentFilters.fieldExistsarray<string>İsteğe bağlı
each at most 120 charactersargumentFilters.fieldAbsentarray<string>İsteğe bağlı
each at most 120 charactersexpiresAtstring (date-time) | nullİsteğe bağlı
batchApprovalobject | nullİsteğe bağlı
batchApproval.enabledbooleanİsteğe bağlı
batchApproval.maxBatchSizeintegerİsteğe bağlı
> 0≤ 100batchApproval.windowSecondsintegerİsteğe bağlı
> 0≤ 31536000Yanıtlar
201SuccessCreated; the body holds the new resource.
400Bad requestThe request is malformed or failed validation.
details names each field that failed.401UnauthorizedNo key, or the key is unknown, revoked or expired.
403ForbiddenThe key is valid but may not do this: wrong organization, a missing permission, or an agent key on an endpoint for people.
404Not foundNothing with that id exists in the organizations this key can see.
Hatalar {"error": "..."} döndürür, çoğu zaman bir code ve details ile birlikte. Ayrıntılar için: hatalar ve limitler.